// soma.cpp: dfinit le point d'entre pour l'application console.
//

#include "stdafx.h"
#include <stdio.h>
#include <stdlib.h>

#define NBRTOTALCUBE 27
#define NBRDIMENSION 3
struct COORD {
	short int x; //largeur
	short int y; //profondeur
	short int z; //hauteur
};
typedef struct COORD coord;
coord forme[NBRTOTALCUBE];

int partition(int *a, int p, int r) {
  int x = *(a+r);
  int j = p - 1;
  for (int i = p; i < r; i++) {

    if (x <= *(a+i)) {
      j = j + 1;
      int temp = *(a+j);
      *(a+j) = *(a+i);
      *(a+i) = temp;
    }
  }
  *(a + r) = *(a + j + 1);
  *(a + j + 1) = x;

  return (j + 1);
}

void quickSort(int *a, int p, int r) {
  if (p < r) {
    int q = partition(a, p, r);
    quickSort(a, p, q - 1);
    quickSort(a, q + 1, r);
  }
}


void afficherForme()
{
	for (int i=0;i<NBRTOTALCUBE;++i)
	{
		printf("%d,%d,%d\n",forme[i].x,forme[i].y,forme[i].z);
	}
}

short int estEgal (coord a, coord b) //verifie l'egalit des coordonnes de deux points
{
	if (a.x==b.x && a.y==b.y && a.z==b.z)
		return 1;
	return 0;
}
short int existCoord(coord coordonne) //cherche un cube dans la liste des cubes
{
	for (int i = 0;i<NBRTOTALCUBE;++i)
	{
		if (estEgal(coordonne,forme[i])==1)
			return i;
	}
	return -1;
}

void afficherCoord(coord coordonne)
{
	printf("coordonnee de position %d,%d,%d\n",coordonne.x,coordonne.y, coordonne.z);
}
void detecterPosV()
{
	int nbrPosV=0;
	
	coord aux1,aux2; //les deux autres cubes qui la compose
	/******verification pour le plan xy*****/
	for (int i=0;i<NBRTOTALCUBE;++i)
	{
		aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x-1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x+1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x-1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x+1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
		}


		/******verification pour le plan xz*****/
		
		aux1.x=forme[i].x-1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV; afficherCoord(forme[i]); puts(":");  afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x-1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z+1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV; afficherCoord(forme[i]); puts(":");  afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x+1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV; afficherCoord(forme[i]); puts(":");  afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x+1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z+1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV; afficherCoord(forme[i]); puts(":");  afficherCoord(aux1);
			afficherCoord(aux2);
		}



		/******verification pour le plan yz*****/
		
		aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV; afficherCoord(forme[i]); puts(":");  afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z+1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV; afficherCoord(forme[i]); puts(":");  afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV; afficherCoord(forme[i]); puts(":");  afficherCoord(aux1);
			afficherCoord(aux2);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z+1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1)
		{
			++nbrPosV; afficherCoord(forme[i]); puts(":");  afficherCoord(aux1);
			afficherCoord(aux2);
		}
	}
	printf("%d\n",nbrPosV);
}

void detecterPos(coord ref,int *nbrPos,
				 short int a1, short int b1, short int c1, 
				 short int a2, short int b2, short int c2, 
				 short int a3, short int b3, short int c3)
{
	coord aux1,aux2,aux3;
	aux1.x=ref.x+a1;
	aux1.y=ref.y+b1;
	aux1.z=ref.z+c1;
	aux2.x=ref.x+a2;
	aux2.y=ref.y+b2;
	aux2.z=ref.z+c2;
	aux3.x=ref.x+a3;
	aux3.y=ref.y+b3;
	aux3.z=ref.z+c3;
	if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
	{
		++(*nbrPos);
		afficherCoord(ref);
		puts(":\n");
		afficherCoord(aux1);
		afficherCoord(aux2);
		afficherCoord(aux3);
	}
}
void detecterPosL()
{
	int nbrPosL=0;

	coord aux1,aux2,aux3; //les deux autres cubes qui la compose
	/******verification pour le plan xy*****/
	for (int i=0;i<NBRTOTALCUBE;++i)
	{
		detecterPos(forme[i],&nbrPosL,0,-1,0,-1,0,0,-2,0,0);
		/*aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x-1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x-2;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}*/
		detecterPos(forme[i],&nbrPosL,0,-1,0,1,0,0,2,0,0);
		/*aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x+1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x+2;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}*/
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x-1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x-2;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x+1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x+2;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}


		/******verification pour le plan xz*****/
		
		aux1.x=forme[i].x-1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z-2;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x-1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z+1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z+2;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x+1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z-2;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x+1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z+1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z+2;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}



		/******verification pour le plan yz*****/
		
		aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z-2;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z+1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z+2;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z-2;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z+1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z+2;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosL;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
	}
	printf("%d\n",nbrPosL);
}
void detecterPosT()
{
	int nbrPosT=0;

	coord aux1,aux2,aux3; //les deux autres cubes qui la compose
	/******verification pour le plan xy*****/
	for (int i=0;i<NBRTOTALCUBE;++i)
	{
		aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x-1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x+1;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x-1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y-1;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y+1;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x-1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x+1;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x+1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y-1;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y+1;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}


		/******verification pour le plan xz*****/
		
		aux1.x=forme[i].x-1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z+1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z-1;
		aux2.x=forme[i].x-1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x+1;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x+1;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z+1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z+1;
		aux2.x=forme[i].x-1;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x+1;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}



		/******verification pour le plan yz*****/
		
		aux1.x=forme[i].x;
		aux1.y=forme[i].y-1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z+1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z-1;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y-1;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y+1;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y+1;
		aux1.z=forme[i].z;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y;
		aux2.z=forme[i].z-1;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y;
		aux3.z=forme[i].z+1;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
		aux1.x=forme[i].x;
		aux1.y=forme[i].y;
		aux1.z=forme[i].z+1;
		aux2.x=forme[i].x;
		aux2.y=forme[i].y-1;
		aux2.z=forme[i].z;
		aux3.x=forme[i].x;
		aux3.y=forme[i].y+1;
		aux3.z=forme[i].z;
		if (existCoord(aux1)!=-1 && existCoord(aux2)!=-1 && existCoord(aux3)!=-1)
		{
			++nbrPosT;
			afficherCoord(forme[i]);
			puts(":\n");
			afficherCoord(aux1);
			afficherCoord(aux2);
			afficherCoord(aux3);
		}
	}
	printf("%d\n",nbrPosT);
}
void chargerForme()
{
	FILE* srcForme = NULL;
	if ((srcForme=fopen("c:\\forme.txt","r"))==NULL)
	{
		perror("Lecture impossible !");
		exit(-1);
	}
	int i=0;
	while (feof(srcForme)==0)
	{
		fscanf(srcForme,"%1d,%1d,%1d\n",&forme[i].x,&forme[i].y,&forme[i].z);
		++i;
	}
	fclose(srcForme);
}

int main()
{
chargerForme();
afficherForme();
puts("\n\n");
detecterPosT();
while(1);
}